package com.bocloud.nms.model.hillstone;


// 系统配置
public class SystemConfigModel {

    private String snNumber; // 序列号
    private String hostName; // 主机名称
    private String hwPlatform; // 硬件平台
    private String systemTime; // 系统时间
    private String upTime; // 系统运行时间
    private String haStatus; // HA状态
    private String swVersion; // 软件版本
    private String swVersionDet; // 5.5R4
    private String swBootfile; // 启动文件
    private String appSignature; // 应用特征库

    public void setSnNumber(String snNumber) {
        this.snNumber = snNumber;
    }

    public String getSnNumber() {
        return snNumber;
    }

    public void setHostName(String hostName) {
        this.hostName = hostName;
    }

    public String getHostName() {
        return hostName;
    }

    public void setHwPlatform(String hwPlatform) {
        this.hwPlatform = hwPlatform;
    }

    public String getHwPlatform() {
        return hwPlatform;
    }

    public void setSystemTime(String systemTime) {
        this.systemTime = systemTime;
    }

    public String getSystemTime() {
        return systemTime;
    }

    public void setUpTime(String upTime) {
        this.upTime = upTime;
    }

    public String getUpTime() {
        return upTime;
    }

    public void setHaStatus(String haStatus) {
        this.haStatus = haStatus;
    }

    public String getHaStatus() {
        return haStatus;
    }

    public void setSwVersion(String swVersion) {
        this.swVersion = swVersion;
    }

    public String getSwVersion() {
        return swVersion;
    }

    public void setSwVersionDet(String swVersionDet) {
        this.swVersionDet = swVersionDet;
    }

    public String getSwVersionDet() {
        return swVersionDet;
    }

    public void setSwBootfile(String swBootfile) {
        this.swBootfile = swBootfile;
    }

    public String getSwBootfile() {
        return swBootfile;
    }

    public void setAppSignature(String appSignature) {
        this.appSignature = appSignature;
    }

    public String getAppSignature() {
        return appSignature;
    }
}

